petsc-3.10.5 2019-03-28
Report Typos and Errors

# KSPGetResidualHistory

Gets the array used to hold the residual history and the number of residuals it contains.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGetResidualHistory(KSP ksp,PetscReal *a[],PetscInt *na)

Not Collective

### Input Parameter

ksp -iterative context obtained from KSPCreate()

### Output Parameters

| a | - pointer to array to hold history (or NULL)
| na | - number of used entries in a (or NULL)

### Notes

Can only be called after a KSPSetResidualHistory() otherwise a and na are set to zero

The Fortran version of this routine has a calling sequence

      call KSPGetResidualHistory(KSP ksp, integer na, integer ierr)

note that you have passed a Fortran array into KSPSetResidualHistory() and you need to access the residual values from this Fortran array you provided. Only the na (number of residual norms currently held) is set.

### Keywords

get, residual, history, norm

### See Also

KSPGetResidualHistory(), KSP

### Level

advanced

### Location

src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages